org.apache.cayenne.dba

## Interface QuotingStrategy

- All Known Implementing Classes:
    DefaultQuotingStrategy

      public interface QuotingStrategy

  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `quotedFullyQualifiedName(DbEntity entity)` Builds a fully qualified name from catalog, schema, name parts of DbEntity, inclosing them in quotations according to this strategy algorithm.
    `String` | `quotedIdentifier(DataMap dataMap, String... identifierParts)`
    `String` | `quotedIdentifier(Entity entity, String... identifierParts)`
    `String` | `quotedName(DbAttribute attribute)`
    `String` | `quotedSourceName(DbJoin join)`
    `String` | `quotedTargetName(DbJoin join)`
    `String` | `quoteFullyQualifiedName(DbEntity entity)` Deprecated. since 4.0 renamed to `quotedFullyQualifiedName(DbEntity)`.
    `String` | `quoteString(String identifier)` Deprecated. since 4.0

- - ### Method Detail

    - #### quoteString

          @Deprecated
          String quoteString(String identifier)

      Deprecated. since 4.0
      Returns a properly quoted identifier.

    - #### quoteFullyQualifiedName

          @Deprecated
          String quoteFullyQualifiedName(DbEntity entity)

      Deprecated. since 4.0 renamed to `quotedFullyQualifiedName(DbEntity)`.

    - #### quotedFullyQualifiedName

          String quotedFullyQualifiedName(DbEntity entity)

      Builds a fully qualified name from catalog, schema, name parts of DbEntity, inclosing them in quotations according to this strategy algorithm. Analog of "quotedIdentifier(entity.getCatalog(), entity.getSchema(), entity.getName())".
      Since:
        4.0

    - #### quotedName

          String quotedName(DbAttribute attribute)

      Since:
        4.0

    - #### quotedSourceName

          String quotedSourceName(DbJoin join)

      Since:
        4.0

    - #### quotedTargetName

          String quotedTargetName(DbJoin join)

      Since:
        4.0

    - #### quotedIdentifier

          String quotedIdentifier(Entity entity,
                                  String... identifierParts)

      Since:
        4.0

    - #### quotedIdentifier

          String quotedIdentifier(DataMap dataMap,
                                  String... identifierParts)

      Since:
        4.0

Copyright © 2001–2023 Apache Cayenne. All rights reserved.